public static Rhino.Geometry.Line ConvertToRhinoLine(g3.Line3d line) { var end = line.PointAt(1.0); return(new Rhino.Geometry.Line(line.Origin.x, line.Origin.y, line.Origin.z, end.x, end.y, end.z)); }
public Cylinder3d(double radius, double height) { Axis = new Line3d(Vector3d.Zero, Vector3d.AxisY); Radius = radius; Height = height; }
public IntrLine3AxisAlignedBox3(Line3d l, AxisAlignedBox3d b) { line = l; box = b; }
public Cylinder3d(Frame3f frame, double radius, double height, int nNormalAxis = 1) { Axis = new Line3d(frame.Origin, frame.GetAxis(nNormalAxis)); Radius = radius; Height = height; }
public Cylinder3d(Vector3d center, Vector3d axis, double radius, double height) { Axis = new Line3d(center, axis); Radius = radius; Height = height; }
public Cylinder3d(Line3d axis, double radius, double height) { Axis = axis; Radius = radius; Height = height; }
public DistLine3Triangle3(Line3d LineIn, Triangle3d TriangleIn) { this.triangle = TriangleIn; this.line = LineIn; }
public IntrLine3Box3(Line3d l, Box3d b) { line = l; box = b; }